module ActionDispatch
  module Routing
    class Mapper

      def audiomatic_for(klass, authorization: :signature)
        Neutrino::AudiomaticRails.add_route(klass, authorization) 
        create_post(klass)
      end

      def create_post(klass)
        post "/audiomatic/#{klass}" => "neutrino/audiomatic_rails/neutrino_audiomatic#update", as: "neutrino_audiomatic_#{klass.to_s.underscore}".to_sym
        get "/audiomatic/#{klass}/download" => "neutrino/audiomatic_rails/neutrino_audiomatic#download", as: "neutrino_audiomatic_file_#{klass.to_s.underscore}".to_sym   
      end
    end
  end
end

